Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

Parâmetros de caminho

agent_name string exigido

The name of the agent to create a session for.

Parâmetros de consulta

api-version string exigido

The API version to use for this operation.

Corpo da solicitação

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref exigido

Version indicator determining which agent version backs the session.

Um dos seguintes:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum exigido

Discriminator value for version_ref.

version_ref
agent_version string exigido

The agent version identifier returned by the agent version APIs.

Respostas

The request has succeeded and a new resource has been created as a result.

Corpo

Content-Type: application/json
agent_session_id string exigido

The session identifier.

version_indicator version_ref exigido

Version indicator determining which agent version backs the session.

Um dos seguintes:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum exigido

Discriminator value for version_ref.

version_ref
agent_version string exigido

The agent version identifier returned by the agent version APIs.

status string | enum exigido

The status of an agent session.

Qualquer uma das seguintes opções:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer exigido

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer exigido

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer exigido

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

Resposta

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026